Page MenuHomePhabricator

Gather feedback from GCI mentors after GCI 2016 (around 2017-01-14 to 2017-01-18)
Closed, ResolvedPublic

Description

See https://phabricator.wikimedia.org/T123134 for last year's task.

  • What worked well? How was "student quality"? Was it more of a time sink or more like time saving? Where and how can we improve as an org and org admins? What did you learn as a mentor?
  • Ask mentors for remarkable students, to help admins decide on the winners in T154375.

Event Timeline

Aklapper triaged this task as Low priority.Dec 31 2016, 6:33 PM
Aklapper raised the priority of this task from Low to High.Jan 4 2017, 10:09 PM

First email sent to mentors; second and last to be sent in a few days.

Second and last email sent to mentors. Task to be closed on Jan20th by latest.

Aklapper closed this task as Resolved.Jan 22 2017, 1:01 AM

This is done. Thanks to everyone!

Qgil added a subscriber: Qgil.Jan 23 2017, 7:14 PM

What was the feedback?

@Qgil: Apart from mentors' feedback on specific students used as input for T154375, please see T154620#2961820